﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using DTOWebServices;

namespace WebService1
{
    /// <summary>
    /// Descrizione di riepilogo per Service1
    /// </summary>
    [WebService(Namespace = "http://metalide.com/webservice1/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // Per consentire la chiamata di questo servizio Web dallo script utilizzando ASP.NET AJAX, rimuovere il commento dalla riga seguente. 
    // [System.Web.Script.Services.ScriptService]
    public class Service1 : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        [WebMethod]
        public PersonaDTO getPersona(string username)
        {
            System.Diagnostics.Debug.Print("WEBSERVICE GETPERSONA_" + username);
            if (username.Equals("kiraya"))
            {
                return new PersonaDTO
                {
                    UserId = 1,
                    Username = "kiraya",
                    Nome = "Andrea",
                    Cognome = "Magini",
                    DataNascita = new DateTime(1966,6,6),
                    IndirizzoResidenza = "Via Proxy 666",
                    ProvinciaResidenza ="HL",
                    CittaResidenza ="HELL",
                    CAPResidenza="00666"
                };
            }
            if (username.Equals("test"))
            {
                return new PersonaDTO
                {
                    UserId = 2,
                    Username = "test",
                    Nome = "TestNome",
                    Cognome = "TestCognome",
                    DataNascita = new DateTime(1980,12, 1),
                    IndirizzoResidenza = "Via test xxx",
                    ProvinciaResidenza = "RM",
                    CittaResidenza = "ROMA",
                    CAPResidenza = "00141"
                };
            }
            return null;
        }

        [WebMethod]
        public List<MovimentoDTO> getMovimenti(int userid)
        {
            System.Diagnostics.Debug.Print("WEBSERVICE GETMOVIMENTO_" + userid);
            List<MovimentoDTO> listaMovimenti = new List<MovimentoDTO>();
                      
            MovimentoDTO movimento = new MovimentoDTO();
            movimento.UserId = userid;
            movimento.IdMovimento = 1;
            movimento.DataMovimento = DateTime.Parse("01/01/2010");
            movimento.Descrizione = "primo movimento";
            movimento.Valore = 50000;
            listaMovimenti.Add(movimento);
            movimento = new MovimentoDTO();
            movimento.UserId = userid;
            movimento.IdMovimento = 2;
            movimento.DataMovimento = DateTime.Parse("02/01/2010");
            movimento.Descrizione = "secondo movimento";
            movimento.Valore = 22000;
            listaMovimenti.Add(movimento);
            movimento = new MovimentoDTO();
            movimento.UserId = userid;
            movimento.IdMovimento = 3;
            movimento.DataMovimento = DateTime.Parse("03/01/2010");
            movimento.Descrizione = "terzo movimento";
            movimento.Valore = 12000;
            listaMovimenti.Add(movimento);
            System.Diagnostics.Debug.Print("test:" + listaMovimenti);
            return listaMovimenti;
        }
    }
}